---
id: "Controller"
title: "Interface: Controller"
sidebar_label: "Controller"
sidebar_position: 0
custom_edit_url: null
---

## Properties

### next

• **next**: () => `Ok`<`void`\>

#### Type declaration

▸ (): `Ok`<`void`\>

##### Returns

`Ok`<`void`\>

#### Defined in

[src/types/core-plugin.ts:59](https://github.com/sern-handler/handler/blob/81cdde2/src/types/core-plugin.ts#L59)

___

### stop

• **stop**: () => `Err`<`void`\>

#### Type declaration

▸ (): `Err`<`void`\>

##### Returns

`Err`<`void`\>

#### Defined in

[src/types/core-plugin.ts:60](https://github.com/sern-handler/handler/blob/81cdde2/src/types/core-plugin.ts#L60)
